
TYPO3 Flow Base Distribution - Bug # 27724

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category:
Created: 2011-06-27 Assigned To: Karsten Dambekalns
Updated: 2011-06-29 Due date:
Affected Flow version:
Subject: Missing vfsStream produces empty output
Description

PHPUnit dies without output if vfsStream is not available.
This is fixed for me by replacing the line

@require_once('vfsStream/vfsStream.php');

with

@include_once('vfsStream/vfsStream.php');

in UnitTestBootstrap.php

@Karsten: I'm assigning this to you cause I don't have commit rights for BuildEssentials.git

History
#1 - 2011-06-28 11:14 - Karsten Dambekalns
- Status changed from New to Accepted
- Target version set to 1.0 beta 1

#2 - 2011-06-28 11:17 - Karsten Dambekalns
- Status changed from Accepted to Needs Feedback

Well, I get this output:

$ phpunit -c Build/Common/PhpUnit/UnitTests.xml

FLOW3 Bootstrap Error: The unit test bootstrap requires vfsStream to be installed (e.g. via PEAR).
Please also make sure that it is accessible via the PHP include path.

Why does this not work for you?

#3 - 2011-06-28 11:25 - Mr. Hudson

Patch set 1 of change I0f4e1ba4ba012029ed18f0ff891099af1c2dee87 has been pushed to the review server.
It is available at http://review.typo3.org/2944
#4 - 2011-06-28 11:25 - Karsten Dambekalns
- Status changed from Needs Feedback to Under Review

#5 - 2011-06-28 22:45 - Bastian Waidelich

Karsten Dambekalns wrote:

Well, I get this output:

[...]

Why does this not work for you?

For the record: I don't know ;)
error_reporting was on full throttle and display_errors on obviously..

#6 - 2011-06-29 11:57 - Karsten Dambekalns

Bastian Waidelich wrote:

For the record: I don't know ;)

But I do (now), see commit message.

#7 - 2011-06-29 12:01 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
